Bug 800198 - Repo filter is preventing filtered packages from being synced to filesystem but repo metadata adds all packages to db
Repo filter is preventing filtered packages from being synced to filesystem b...
Status: CLOSED CURRENTRELEASE
Product: Red Hat Satellite 6
Classification: Red Hat
Component: Content Management (Show other bugs)
6.0.0
Unspecified Unspecified
high Severity high (vote)
: Unspecified
: --
Assigned To: Mike McCune
Og Maciel
: Triaged
Depends On: 799120
Blocks:
  Show dependency treegraph
 
Reported: 2012-03-05 17:58 EST by Mike McCune
Modified: 2014-09-18 11:32 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: 799120
Environment:
Last Closed: 2012-08-22 14:30:31 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Mike McCune 2012-03-05 17:58:50 EST
Cloned this into CFSE because the effect of this is that pulp thinks the repo has more packages than it really does based on the metadata.  

+++ This bug was initially created as a clone of Bug #799120 +++

Description of problem:

[skarmark@sunflower pulp]$ sudo pulp-admin repo clone --id pulp --clone_id pulp-clone -f pulp-filter  -F
Repository [pulp] is being cloned as [pulp-clone]
Clone: Finished
Item Details: 
RPMs: 15/21


[skarmark@sunflower pulp]$ sudo pulp-admin repo sync --id pulp-clone -F
Sync for repository pulp-clone started
Sync: Finished
0/21 new items downloaded
21/21 existing items processed

Item Details: 
RPMs: 15/21


Notice 21/21 existing items processed vs RPMs: 15/21.
Comment 2 Og Maciel 2012-03-21 12:37:25 EDT
# pulp-admin -u admin -p ****** repo clone --id Montevideo-Testing-testing --clone_id pulp-clone -f pulp-filter  -F
Repository [Montevideo-Testing-testing] is being cloned as [pulp-clone]
Clone: Finished
Item Details: 
RPMs: 14/21

[root@qetello01 ~]# pulp-admin -u admin -p ****** repo sync --id pulp-clone -F
Sync for repository pulp-clone started
Sync: Finished
0/21 new items downloaded
21/21 existing items processed

Item Details: 
RPMs: 14/21

# pulp-admin -u admin -p ****** content list --repoid  pulp-clone

gofer-0.67-1.el6.noarch.rpm,5106cd570a8299e011bd013080bbfec152b0c78b63e9e57fbc4c9d6295824be1
python-okaara-1.0.12-1.el6.noarch.rpm,304190b49ed6c3d065e125e57c891688b274a10543d02a469d38bdfedc7c0f1e
python-gofer-0.67-1.el6.noarch.rpm,099989c2871eb41d3b993034c7547bbfc428d8ebb36e11284dba067e32323260
gofer-package-0.67-1.el6.noarch.rpm,0075643e601d81df0f78b67793d941940a5224d29f580bdd22d4f823e1331a6b
m2crypto-0.21.1.pulp-7.el6.x86_64.rpm,bcfa34e6c3f23d064681768a5eed633239b6516cbb42002a7104d29ce844bef0
python-webpy-0.32-8.el6.noarch.rpm,60d6e16692c515986c756daa3cfb56eb04f8e36617d3f9ea3abd54f2efadd483
mod_wsgi-3.3-3.pulp.el6.x86_64.rpm,65e6aa8c8446cf6b0a5235f73a64e8edbec760d701a3514bd119638c1757ccb7
python-isodate-0.4.4-4.pulp.el6.noarch.rpm,a3166732e004fd7dce52b6e4e4d624e98b126cf0c2736661af618e0738967669
python-oauth2-1.5.170-2.pulp.el6.noarch.rpm,5385665b60400bbbdd0b3ee473a5af8e060915c152f06cc95a04c74a2ef44271
grinder-0.0.141-1.el6.noarch.rpm,e5e029fc8f49d85f6e5684998ee20215b66b21240f3e8a2591f53f7ad87106e1
python-qpid-0.7.946106-1.el6.noarch.rpm,8d6b108f539adbf66bab5a242098dc3d20f7ba8f437be89a279da4fc61a571bb
python-rhsm-0.96.4-1.el6.noarch.rpm,bbfa2c24fdc329828892eae818ead940c7100c568c58ae2e9a1b12d29277fbc3
m2crypto-debuginfo-0.21.1.pulp-7.el6.x86_64.rpm,8f6b15ed89c44ba402bb3c5efd7c00315cb409496ed9294e462d0df5cb8e72d4
mod_wsgi-debuginfo-3.3-3.pulp.el6.x86_64.rpm,33c5ec027b86e390b69226afcac69d2879fff8e2c3f7fa106c2f7ed340cf79a1


# pulp-admin -u admin -p ****** content list --repoid  Montevideo-Testing-testing
gofer-0.67-1.el6.noarch.rpm,5106cd570a8299e011bd013080bbfec152b0c78b63e9e57fbc4c9d6295824be1
python-okaara-1.0.12-1.el6.noarch.rpm,304190b49ed6c3d065e125e57c891688b274a10543d02a469d38bdfedc7c0f1e
pulp-selinux-server-1.0.0-6.el6.noarch.rpm,a7daeaf185b88c19a1436e85301f50e8971a1d32cf36bfbeb89f742d07b3b208
python-gofer-0.67-1.el6.noarch.rpm,099989c2871eb41d3b993034c7547bbfc428d8ebb36e11284dba067e32323260
gofer-package-0.67-1.el6.noarch.rpm,0075643e601d81df0f78b67793d941940a5224d29f580bdd22d4f823e1331a6b
m2crypto-0.21.1.pulp-7.el6.x86_64.rpm,bcfa34e6c3f23d064681768a5eed633239b6516cbb42002a7104d29ce844bef0
pulp-client-lib-1.0.0-6.el6.noarch.rpm,cf9fd26f2e7e451e304e0034dd22cbaa6a115c243ba0016e649b957362f5b11b
python-webpy-0.32-8.el6.noarch.rpm,60d6e16692c515986c756daa3cfb56eb04f8e36617d3f9ea3abd54f2efadd483
pulp-admin-1.0.0-6.el6.noarch.rpm,47a6a06c7b6ab06584f7efc6bd24d0df5330ff3814b3abdea7ac7f2c69cae067
mod_wsgi-3.3-3.pulp.el6.x86_64.rpm,65e6aa8c8446cf6b0a5235f73a64e8edbec760d701a3514bd119638c1757ccb7
pulp-consumer-1.0.0-6.el6.noarch.rpm,4ee57e9893e3a39395fe0aaaf2af2a27d00069284b3f9e29f9b8b0ce1b057658
python-isodate-0.4.4-4.pulp.el6.noarch.rpm,a3166732e004fd7dce52b6e4e4d624e98b126cf0c2736661af618e0738967669
pulp-1.0.0-6.el6.noarch.rpm,a218db7f49d490658e4842308a4906661480afa55fda6e4e3a7fc2665aba1941
python-oauth2-1.5.170-2.pulp.el6.noarch.rpm,5385665b60400bbbdd0b3ee473a5af8e060915c152f06cc95a04c74a2ef44271
grinder-0.0.141-1.el6.noarch.rpm,e5e029fc8f49d85f6e5684998ee20215b66b21240f3e8a2591f53f7ad87106e1
python-qpid-0.7.946106-1.el6.noarch.rpm,8d6b108f539adbf66bab5a242098dc3d20f7ba8f437be89a279da4fc61a571bb
python-rhsm-0.96.4-1.el6.noarch.rpm,bbfa2c24fdc329828892eae818ead940c7100c568c58ae2e9a1b12d29277fbc3
pulp-cds-1.0.0-6.el6.noarch.rpm,fca7645dd8113932b4fe927a07dc81e56244397e2460b5ef6c53e5c9fd585346
m2crypto-debuginfo-0.21.1.pulp-7.el6.x86_64.rpm,8f6b15ed89c44ba402bb3c5efd7c00315cb409496ed9294e462d0df5cb8e72d4
pulp-common-1.0.0-6.el6.noarch.rpm,f612220d73d8d7c879db92c95886648ca1ab55def9eaeba32330e5214e4e0549
mod_wsgi-debuginfo-3.3-3.pulp.el6.x86_64.rpm,33c5ec027b86e390b69226afcac69d2879fff8e2c3f7fa106c2f7ed340cf79a1
Comment 3 Og Maciel 2012-03-21 13:20:05 EDT
Verified:
* candlepin-0.5.26-1.el6.noarch
* candlepin-tomcat6-0.5.26-1.el6.noarch
* katello-0.1.305-1.el6.noarch
* katello-all-0.1.305-1.el6.noarch
* katello-candlepin-cert-key-pair-1.0-1.noarch
* katello-certs-tools-1.0.4-1.el6.noarch
* katello-cli-0.1.105-1.el6.noarch
* katello-cli-common-0.1.105-1.el6.noarch
* katello-common-0.1.305-1.el6.noarch
* katello-configure-0.1.106-1.el6.noarch
* katello-glue-candlepin-0.1.305-1.el6.noarch
* katello-glue-foreman-0.1.305-1.el6.noarch
* katello-glue-pulp-0.1.305-1.el6.noarch
* katello-qpid-broker-key-pair-1.0-1.noarch
* katello-qpid-client-key-pair-1.0-1.noarch
* katello-selinux-0.1.9-1.el6.noarch
* pulp-1.0.0-5.el6.noarch
* pulp-admin-1.0.0-5.el6.noarch
* pulp-client-lib-1.0.0-5.el6.noarch
* pulp-common-1.0.0-5.el6.noarch
* pulp-selinux-server-1.0.0-5.el6.noarch

Note You need to log in before you can comment on or make changes to this bug.